<script>
	import {getplatformmeun} from '@/utils/api.js'
	import {BASE_URL} from '@/utils/http.js'
	export default {
		onLaunch: function() {
			uni.hideTabBar()
			getplatformmeun().then(res=>{
				let menu=res.data
					getApp().globalData.config=menu
				uni.setTabBarItem({
				  index: 0,
				  text: menu.acc_menu,
				  iconPath: BASE_URL+menu.simple_logo,
				  selectedIconPath: BASE_URL+menu.simple_logo2
				})
				uni.setTabBarItem({
				  index: 1,
				  text: menu.simple_menu,
				  iconPath: BASE_URL+menu.acc_logo,
				  selectedIconPath: BASE_URL+menu.acc_logo2
				})
				uni.setTabBarItem({
				  index: 2,
				  text: menu.jump_menu,
				  iconPath: BASE_URL+menu.jump_logo,
				  selectedIconPath: BASE_URL+menu.jump_logo2
				})
				uni.setTabBarItem({
				  index: 3,
				  text: menu.information_menu,
				  iconPath: BASE_URL+menu.information_logo,
				  selectedIconPath: BASE_URL+menu.information_logo2
				})
				uni.showTabBar()
			})
			

			
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		},
		globalData:{
			config:{}
		}
	}
</script>
 
<style lang="scss">
	h1,h2,h3,h4,h5,h6,p,li{
	        display: inline-block;
	        text-align: justify;
	    }
	@import "@/uni_modules/uview-plus/index.scss";
	page{
		height: auto;
		background-color: #F5F5F5;
	}
	view{
		box-sizing: border-box;
	}
	/*每个页面公共css */
	@font-face {
		font-family: 'typeface1';
		src: url('https://banmayouxi.oss-cn-beijing.aliyuncs.com/uploads/font/WenQuanZhengHei-1.ttf') format('truetype');
	}
	
	@font-face {
		font-family: 'typeface2';
		src: url('https://banmayouxi.oss-cn-beijing.aliyuncs.com/uploads/font/WenQuanWeiMiHei-1.ttf') format('truetype');
	}
	
	@font-face {
		font-family: 'typeface3';
		src: url('https://banmayouxi.oss-cn-beijing.aliyuncs.com/uploads/font/FangZhengShuSongJianTi-1.ttf') format('truetype');
	}
	
	@font-face {
		font-family: 'typeface4';
		src: url('https://banmayouxi.oss-cn-beijing.aliyuncs.com/uploads/font/FangZhengKaiTiJianTi-1.ttf') format('truetype');
	}
	
	@font-face {
		font-family: 'typeface5';
		src: url('https://banmayouxi.oss-cn-beijing.aliyuncs.com/uploads/font/FangZhengHeiTiJianTi-1.ttf') format('truetype');
	}
	
	@font-face {
		font-family: 'typeface6';
		src: url('https://banmayouxi.oss-cn-beijing.aliyuncs.com/uploads/font/FangZhengFangSongJianTi-1.ttf') format('truetype');
	}
	
</style>
